package org.dromara.x.file.storage;

import com.ruoyi.common.security.annotation.EnableFebsCloudResourceServer;
import com.ruoyi.common.security.annotation.EnableRyFeignClients;
import com.ruoyi.common.swagger.annotation.EnableCustomSwagger2;
import org.dromara.x.file.storage.spring.EnableFileStorage;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

@EnableCustomSwagger2
//@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class })
@EnableRyFeignClients
@EnableFebsCloudResourceServer
@SpringBootApplication
@EnableFileStorage
@MapperScan("org.dromara.x.file.storage.mapper")
public class SpringFileStorageApplication {

    public static void main(String[] args) {
        SpringApplication.run(SpringFileStorageApplication.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ  文件服务模块启动成功   ლ(´ڡ`ლ)ﾞ  \n" +
                " .-------.       ____     __        \n" +
                " |  _ _   \\      \\   \\   /  /    \n" +
                " | ( ' )  |       \\  _. /  '       \n" +
                " |(_ o _) /        _( )_ .'         \n" +
                " | (_,_).' __  ___(_ o _)'          \n" +
                " |  |\\ \\  |  ||   |(_,_)'         \n" +
                " |  | \\ `'   /|   `-'  /           \n" +
                " |  |  \\    /  \\      /           \n" +
                " ''-'   `'-'    `-..-'              ");
    }
}
